import { UserDeviceData } from '@jealous-robot-dev/shared-types-requests';
import { AuthProviders } from '@jealous-robot-dev/shared-types-app';
import { DataStandartModel } from '../common';
export interface UserDevice {
    ip: string;
    deviceSpecs: UserDeviceData;
}
export interface PasswordReset {
    token: string;
    issuedAt: number;
}
export interface UserCredentialsModel extends DataStandartModel {
    readonly UID: string;
    readonly userDevices: UserDevice[];
    passwordReset?: PasswordReset;
    authProviders?: AuthProviders[];
    firstname?: string;
    lastname?: string;
    email: string;
    suspended?: boolean;
    profilePicUrl?: string;
    username: string;
    password?: string;
    verifiedEmail?: boolean;
    emailVerificationToken?: string;
}
export interface HighlySuggestedParams {
    firstname?: boolean;
    lastname?: boolean;
    username?: boolean;
}
export interface UserCardData {
    firstname?: string;
    lastname?: string;
    username?: string;
    email: string;
    authProvider?: AuthProviders;
    ppu?: string;
}
export interface SerializedUser {
    lastname: string;
    firstname: string;
    email: string;
    aw: AuthProviders;
    ppu: string;
    UID: string;
    suspended: boolean;
    username: string;
}
